Bug 1420335 - Kernel Oops unable to handle kernel NULL pointer dereference at (null) (__list_del_entry+0x29/0xc0)
Summary: Kernel Oops unable to handle kernel NULL pointer dereference at (null) (__li...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 13:24 UTC by David
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-11 15:33:05 UTC
Type: Bug


Attachments (Terms of Use)

Description David 2017-02-08 13:24:41 UTC
The following oops happened. The computer became unresponsive from network and keyboard and had to be rebooted.

Judging from the time, the only major thing that should have been running is CUDA code through Theano (a Python library) on the GPU.

This is an extract from dmessg:


Feb  8 08:20:36 SQUIDS kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
Feb  8 08:20:36 SQUIDS kernel: IP: [<ffffffffab413ea9>] __list_del_entry+0x29/0xc0
Feb  8 08:20:36 SQUIDS kernel: PGD 9b12d067 
Feb  8 08:20:36 SQUIDS kernel: PUD 0 
Feb  8 08:20:36 SQUIDS kernel: 
Feb  8 08:20:36 SQUIDS kernel: Oops: 0000 [#1] SMP
Feb  8 08:20:36 SQUIDS kernel: Modules linked in: nvidia_uvm(POE) fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw iptable_mangle iptable_security ipt
able_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw ebtable_filter ebtables ip6table_filter ip6_tables binfmt_misc vfat fat nvidia_drm(POE) intel_rapl nvidia_modeset(POE) x86_pkg_temp_thermal intel_powerclamp nvidia(POE) coretemp snd_hda_codec_hdmi kvm_intel kvm irqbypass snd_hda_c
odec_realtek crct10dif_pclmul crc32_pclmul snd_hda_codec_generic ghash_clmulni_intel intel_cstate intel_uncore snd_hda_intel drm_kms_helper snd_hda_codec intel_rapl_perf snd_hda_core drm snd_hwdep
Feb  8 08:20:36 SQUIDS kernel: joydev snd_seq iTCO_wdt snd_seq_device iTCO_vendor_support ppdev snd_pcm snd_timer snd i2c_i801 mei_me i2c_smbus mei soundcore lpc_ich shpchp parport_pc parport tpm_infineon tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) grace sunrpc 
vboxdrv(OE) 8021q garp crc32c_intel stp llc mrp serio_raw r8169 mii video fjes
Feb  8 08:20:36 SQUIDS kernel: CPU: 4 PID: 17366 Comm: python Tainted: P           OE   4.9.7-101.fc24.x86_64 #1
Feb  8 08:20:36 SQUIDS kernel: Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS 11b 06/12/2014
Feb  8 08:20:36 SQUIDS kernel: task: ffff99872a311e80 task.stack: ffffb2b209c90000
Feb  8 08:20:36 SQUIDS kernel: RIP: 0010:[<ffffffffab413ea9>]  [<ffffffffab413ea9>] __list_del_entry+0x29/0xc0
Feb  8 08:20:36 SQUIDS kernel: RSP: 0018:ffffb2b209c93a40  EFLAGS: 00010007
Feb  8 08:20:36 SQUIDS kernel: RAX: 00000000004d1d52 RBX: ffff99878c307008 RCX: dead000000000200
Feb  8 08:20:36 SQUIDS kernel: RDX: 0000000000000000 RSI: ffff998386ca2008 RDI: ffff998386ca2008
Feb  8 08:20:36 SQUIDS kernel: RBP: ffffb2b209c93a40 R08: ffff99879ed1ce60 R09: ffff998386ca2138
Feb  8 08:20:36 SQUIDS kernel: R10: 0000000000000040 R11: 0000000000000081 R12: 0000000000000000
Feb  8 08:20:36 SQUIDS kernel: R13: ffff99878c307000 R14: ffff998386ca2008 R15: 0000000000000000
Feb  8 08:20:36 SQUIDS kernel: FS:  00007f18e6500780(0000) GS:ffff99879ed00000(0000) knlGS:0000000000000000
Feb  8 08:20:36 SQUIDS kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Feb  8 08:20:36 SQUIDS kernel: CR2: 0000000000000000 CR3: 00000000028d0000 CR4: 00000000001406e0
Feb  8 08:20:36 SQUIDS kernel: Stack:
Feb  8 08:20:36 SQUIDS kernel: ffffb2b209c93a70 ffffffffab1f5c97 ffff9986dc421778 ffffd4d984646980
Feb  8 08:20:36 SQUIDS kernel: 0000000000000000 ffffb2b209c93b20 ffffb2b209c93ab8 ffffffffab1c15db
Feb  8 08:20:36 SQUIDS kernel: ffff998386ca1ff0 ffff998386ca2138 00000000a572c88b 00000000024213c8
Feb  8 08:20:36 SQUIDS kernel: Call Trace:
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1f5c97>] list_lru_del+0xd7/0x120
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1c15db>] page_cache_tree_insert+0xfb/0x1e0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1c29cc>] __add_to_page_cache_locked+0x14c/0x2a0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1c2b8e>] add_to_page_cache_lru+0x4e/0xe0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab33f21e>] ext4_mpage_readpages+0x14e/0x9e0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab2efeb5>] ext4_readpages+0x35/0x40
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1d3397>] __do_page_cache_readahead+0x197/0x260
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab3fa40d>] ? radix_tree_lookup+0xd/0x10
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1d352e>] ondemand_readahead+0xce/0x250
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1d384e>] page_cache_sync_readahead+0x2e/0x50
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab1c4cfd>] generic_file_read_iter+0x64d/0x8d0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab2589f2>] __vfs_read+0xe2/0x150
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab259ac6>] vfs_read+0x96/0x130
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab25afb5>] SyS_read+0x55/0xc0
Feb  8 08:20:36 SQUIDS kernel: [<ffffffffab81dc77>] entry_SYSCALL_64_fastpath+0x1a/0xa9
Feb  8 08:20:36 SQUIDS kernel: Code: 66 90 55 48 8b 07 48 b9 00 01 00 00 00 00 ad de 48 8b 57 08 48 89 e5 48 39 c8 74 29 48 b9 00 02 00 00 00 00 ad de 48 39 ca 74 3a <4c> 8b 02 4c 39 c7 75 52 4c 8b 40 08 4c 39 c7 75 66 48 89 50 08 
Feb  8 08:20:36 SQUIDS kernel: RIP  [<ffffffffab413ea9>] __list_del_entry+0x29/0xc0

Comment 1 David 2017-02-08 13:26:36 UTC
Forgot to add: the program had been running for more than 12 h by the time it crashed (if that is the culprit).

$ uname -a
Linux SQUIDS.scilifelab.se 4.9.7-101.fc24.x86_64 #1 SMP Thu Feb 2 23:32:31 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 2 Justin M. Forbes 2017-04-11 15:01:25 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 David 2017-04-11 15:33:05 UTC
I haven't seen this again in a while, I guess it has been fixed somewhere around 4.9.10 (running 4.9.17 right now).

Since no one else has seen this problem, I am closing it.

(Side note: I don't know which is the best fitting reason for closing, and if it matters at all).


Note You need to log in before you can comment on or make changes to this bug.